org.apache.maven.scm.command.unedit

## Class AbstractUnEditCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.unedit.AbstractUnEditCommand

All Implemented Interfaces:
  Command

Direct Known Subclasses:
  ClearCaseUnEditCommand, PerforceUnEditCommand, StarteamUnEditCommand, SynergyUnEditCommand, TfsUnEditCommand

    public abstract class AbstractUnEditCommand
    extends AbstractCommand

### Field Summary

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`AbstractUnEditCommand()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`ScmResult` `executeCommand(ScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`
`protected abstract ScmResult` `executeUnEditCommand(ScmProviderRepository repository, ScmFileSet fileSet)`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractUnEditCommand

    public AbstractUnEditCommand()

### Method Detail

#### executeCommand

    public ScmResult executeCommand(ScmProviderRepository repository,
                                    ScmFileSet fileSet,
                                    CommandParameters parameters)
                             throws ScmException

Specified by:
  `executeCommand` in class `AbstractCommand`
Throws:
  `ScmException`

#### executeUnEditCommand

    protected abstract ScmResult executeUnEditCommand(ScmProviderRepository repository,
                                                      ScmFileSet fileSet)
                                               throws ScmException

Throws:
  `ScmException`